Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class RevokeAccessRightRequest

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.RevokeAccessRightRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:59:42+01:00",
               comments="JAXB RI v2.2.11")
    public class RevokeAccessRightRequest

extends Object
implements Serializable

Java class for RevokeAccessRightRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RevokeAccessRightRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestType"/>
             <element name="accessright" type="{http://www.ehealth.fgov.be/hubservices/core/v3}SelectRevokeAccessRightType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RevokeAccessRightRequest()`

Method Summary
`SelectRevokeAccessRightType` | `getAccessright()` Gets the value of the accessright property.
`RequestType` | `getRequest()` Gets the value of the request property.
`void` | `setAccessright(SelectRevokeAccessRightType value)` Sets the value of the accessright property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokeAccessRightRequest

    public RevokeAccessRightRequest()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getAccessright

    public SelectRevokeAccessRightType getAccessright()

  Gets the value of the accessright property.

  Returns:
    possible object is `SelectRevokeAccessRightType`

### setAccessright

    public void setAccessright(SelectRevokeAccessRightType value)

  Sets the value of the accessright property.

  Parameters:
    `value` - allowed object is `SelectRevokeAccessRightType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.